Browse Source

Switch to newer openstackdocstheme and reno versions

Switch to openstackdocstheme 2.2.1 and reno 3.1.0 versions. Using
these versions will allow especially:
* Linking from HTML to PDF document
* Allow parallel building of documents
* Fix some rendering problems

Update Sphinx version as well.

Set openstackdocs_pdf_link to link to PDF file. Note that
the link to the published document only works on docs.openstack.org
where the PDF file is placed in the top-level html directory. The
site-preview places the PDF in a pdf directory.

Change pygments_style to 'native' since old theme version always used
'native' and the theme now respects the setting and using 'sphinx' can
lead to some strange rendering.

Remove docs requirements from lower-constraints, they are not needed
during install or test but only for docs building.

openstackdocstheme renames some variables, so follow the renames
before the next release removes them. A couple of variables are also
not needed anymore, remove them.

See also
http://lists.openstack.org/pipermail/openstack-discuss/2020-May/014971.html

Change-Id: I28e24e2dcdaad32d938464b93486f2e19fb3fbfb
changes/89/729989/1
Andreas Jaeger 1 year ago
parent
commit
397aee4ee2
4 changed files with 11 additions and 17 deletions
  1. +3
    -3
      doc/requirements.txt
  2. +5
    -5
      doc/source/conf.py
  3. +0
    -5
      lower-constraints.txt
  4. +3
    -4
      releasenotes/source/conf.py

+ 3
- 3
doc/requirements.txt View File

@ -1,9 +1,9 @@
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.20.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2 # BSD
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-httpdomain>=1.3.0 # BSD
whereto>=0.3.0 # Apache-2.0

+ 5
- 5
doc/source/conf.py View File

@ -15,11 +15,11 @@ extensions = [
]
# openstackdocstheme options
repository_name = 'openstack/sahara-plugin-vanilla'
bug_project = '1106'
bug_tag = 'doc'
openstackdocs_repo_name = 'openstack/sahara-plugin-vanilla'
openstackdocs_pdf_link = True
openstackdocs_use_storyboard = True
openstack_projects = [
openstackdocs_projects = [
'sahara'
]
@ -67,7 +67,7 @@ exclude_patterns = []
#show_authors = False
# The name of the Pygments (syntax highlighting) style to use.
pygments_style = 'sphinx'
pygments_style = 'native'
# A list of ignored prefixes for module index sorting.
#modindex_common_prefix = []


+ 0
- 5
lower-constraints.txt View File

@ -65,7 +65,6 @@ msgpack-python==0.5.6
munch==2.3.2
netaddr==0.7.19
netifaces==0.10.9
openstackdocstheme==1.20.0
openstacksdk==0.24.0
os-api-ref==1.6.0
os-client-config==1.31.2
@ -121,7 +120,6 @@ python-subunit==1.3.0
python-swiftclient==3.6.0
pytz==2018.9
PyYAML==3.13
reno==2.11.2
repoze.lru==0.7
requests==2.14.2
requestsexceptions==1.4.0
@ -133,9 +131,6 @@ simplejson==3.16.0
six==1.10.0
smmap2==2.0.5
snowballstemmer==1.2.1
Sphinx==1.8.4
sphinxcontrib-httpdomain==1.7.0
sphinxcontrib-websupport==1.1.0
SQLAlchemy==1.2.17
sqlalchemy-migrate==0.12.0
sqlparse==0.2.4


+ 3
- 4
releasenotes/source/conf.py View File

@ -20,9 +20,8 @@ extensions = [
]
# openstackdocstheme options
repository_name = 'openstack/sahara-plugin-vanilla'
bug_project = '1106'
bug_tag = 'releasenotes'
openstackdocs_repo_name = 'openstack/sahara-plugin-vanilla'
openstackdocs_use_storyboard = True
# Add any paths that contain templates here, relative to this directory.
templates_path = ['_templates']
@ -48,7 +47,7 @@ version = ''
exclude_patterns = []
# The name of the Pygments (syntax highlighting) style to use.
pygments_style = 'sphinx'
pygments_style = 'native'
# -- Options for HTML output ----------------------------------------------


Loading…
Cancel
Save